[PATCH] Silence cpio's "N blocks" output when cloning locally

Subsystems: the rest

DORMANTno replies

6 messages, 5 authors, 2016-06-15 · open the first message on its own page

[PATCH] Silence cpio's "N blocks" output when cloning locally

From: Bryan Donlan <hidden>
Date: 2016-06-15 22:44:26

Pass --quiet to cpio in git-clone to hide the (confusing) "0 blocks" message.
For compatibility with operating systems which might not support GNUisms,
the presence of --quiet is probed for by grepping cpio's --help output.

Signed-off-by: Bryan Donlan <redacted>
---
 git-clone.sh |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)
diff --git a/git-clone.sh b/git-clone.sh
index e981122..2636159 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -310,6 +310,9 @@ yes)
 		mkdir -p "$GIT_DIR/objects/info"
 		echo "$repo/objects" >>"$GIT_DIR/objects/info/alternates"
 	else
+		cpio_quiet_flag=""
+		cpio --help 2>&1 | grep -- --quiet >/dev/null && \
+			cpio_quiet_flag=--quiet
 		l= &&
 		if test "$use_local_hardlink" = yes
 		then
@@ -330,7 +333,8 @@ yes)
 			fi
 		fi &&
 		cd "$repo" &&
-		find objects -depth -print | cpio -pumd$l "$GIT_DIR/" || exit 1
+		find objects -depth -print | cpio $cpio_quiet_flag -pumd$l "$GIT_DIR/" || \
+			exit 1
 	fi
 	git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD" || exit 1
 	;;
-- 
1.5.4.3

Re: [PATCH] Silence cpio's "N blocks" output when cloning locally

From: Johannes Schindelin <hidden>
Date: 2016-06-15 22:44:26

Hi,

On Fri, 28 Mar 2008, Bryan Donlan wrote:
Pass --quiet to cpio in git-clone to hide the (confusing) "0 blocks" 
message. For compatibility with operating systems which might not 
support GNUisms, the presence of --quiet is probed for by grepping 
cpio's --help output.
We have a builtin clone which is almost ready for 'next', and I think that 
this issue would be resolved there anyway.

Ciao,
Dscho

Re: [PATCH] Silence cpio's "N blocks" output when cloning locally

From: Wincent Colaiuta <hidden>
Date: 2016-06-15 22:44:26

El 28/3/2008, a las 14:01, Johannes Schindelin escribió:
On Fri, 28 Mar 2008, Bryan Donlan wrote:
quoted
Pass --quiet to cpio in git-clone to hide the (confusing) "0 blocks"
message. For compatibility with operating systems which might not
support GNUisms, the presence of --quiet is probed for by grepping
cpio's --help output.
We have a builtin clone which is almost ready for 'next', and I  
think that
this issue would be resolved there anyway.
In any case, I'd rather see the cpio check at configure-time rather  
than run-time.

Cheers,
Wincent

Re: [PATCH] Silence cpio's "N blocks" output when cloning locally

From: Johannes Schindelin <hidden>
Date: 2016-06-15 22:44:26

Hi,

On Fri, 28 Mar 2008, Wincent Colaiuta wrote:
El 28/3/2008, a las 14:01, Johannes Schindelin escribió:
quoted
On Fri, 28 Mar 2008, Bryan Donlan wrote:
quoted
Pass --quiet to cpio in git-clone to hide the (confusing) "0 blocks" 
message. For compatibility with operating systems which might not 
support GNUisms, the presence of --quiet is probed for by grepping 
cpio's --help output.
We have a builtin clone which is almost ready for 'next', and I think 
that this issue would be resolved there anyway.
In any case, I'd rather see the cpio check at configure-time rather than 
run-time.
That would have to be done via ./configure, missing out those people who 
do not run ./configure, but just make.

Ciao,
Dscho

Re: [PATCH] Silence cpio's "N blocks" output when cloning locally

From: Bryan Donlan <hidden>
Date: 2016-06-15 22:44:26

On Fri, Mar 28, 2008 at 12:29 PM, Johannes Schindelin
[off-list ref] wrote:
Hi,


 On Fri, 28 Mar 2008, Wincent Colaiuta wrote:

 > El 28/3/2008, a las 14:01, Johannes Schindelin escribió:
 >
 > >On Fri, 28 Mar 2008, Bryan Donlan wrote:
 > >
 > > >Pass --quiet to cpio in git-clone to hide the (confusing) "0 blocks"
 > > >message. For compatibility with operating systems which might not
 > > >support GNUisms, the presence of --quiet is probed for by grepping
 > > >cpio's --help output.
 > >
 > >We have a builtin clone which is almost ready for 'next', and I think
 > >that this issue would be resolved there anyway.
 >
 > In any case, I'd rather see the cpio check at configure-time rather than
 > run-time.

 That would have to be done via ./configure, missing out those people who
 do not run ./configure, but just make.
Some distributions don't run configure either, including debian (and
by extension, likely ubuntu). That said, if git-clone's going builtin
anyway, we might as well wait for that :)

Re: [PATCH] Silence cpio's "N blocks" output when cloning locally

From: Junio C Hamano <hidden>
Date: 2016-06-15 22:44:26

Johannes Schindelin [off-list ref] writes:
On Fri, 28 Mar 2008, Wincent Colaiuta wrote:
quoted
El 28/3/2008, a las 14:01, Johannes Schindelin escribió:
quoted
On Fri, 28 Mar 2008, Bryan Donlan wrote:
quoted
Pass --quiet to cpio in git-clone to hide the (confusing) "0 blocks" 
message. For compatibility with operating systems which might not 
support GNUisms, the presence of --quiet is probed for by grepping 
cpio's --help output.
We have a builtin clone which is almost ready for 'next', and I think 
that this issue would be resolved there anyway.
In any case, I'd rather see the cpio check at configure-time rather than 
run-time.
That would have to be done via ./configure, missing out those people who 
do not run ./configure, but just make.
Runtime is just fine for this case.  Unlike other commands, clone is not
something you run all the time.  Anything more elaborate is just
overengineered.
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help